Bug 525913 - Review Request: perl-WWW-Mechanize-GZip - Fetch compressed webpages
Summary: Review Request: perl-WWW-Mechanize-GZip - Fetch compressed webpages
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jan Klepek
QA Contact: Fedora Extras Quality Assurance
URL: http://search.cpan.org/dist/WWW-Mecha...
Whiteboard:
Depends On:
Blocks: perl-Net-GitHub
TreeView+ depends on / blocked
 
Reported: 2009-09-27 04:00 UTC by Chris Weyl
Modified: 2009-09-30 04:53 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-30 04:53:38 UTC
jan.klepek: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Chris Weyl 2009-09-27 04:00:40 UTC
Spec URL: http://fedorapeople.org/~cweyl/review/perl-WWW-Mechanize-GZip.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-WWW-Mechanize-GZip-0.12-1.fc11.src.rpm

Description:
The WWW::Mechanize::GZip module tries to fetch a URL by requesting
gzip-compression from the webserver.  If the response contains
a header with 'Content-Encoding: gzip', it decompresses the response in
order to get the original (uncompressed) content. This module will help
to reduce bandwith fetching webpages, if supported by the webeserver.
If the webserver does not support gzip-compression, no decompression
will be made.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1710108

*rt-0.10_01

Comment 1 Jan Klepek 2009-09-27 06:39:20 UTC
*md5sum source ok
*license ok
*spec legible
*directory ownership ok
*tests present & working
*utf-8 ok
*rpmlint ok
*naming ok
*guidelines ok
*noarch package

however there is comment about source of information for license decision, please remove it, it is not needed.

approved

Comment 2 Chris Weyl 2009-09-27 16:29:21 UTC
New Package CVS Request
=======================
Package Name: perl-WWW-Mechanize-GZip
Short Description: Fetch compressed webpages
Owners: cweyl
Branches: F-10 F-11 devel
InitialCC: perl-sig

Comment 3 Kevin Fenzi 2009-09-29 20:22:08 UTC
cvs done with F-12 branch added.

Comment 4 Chris Weyl 2009-09-30 04:53:38 UTC
Thanks for the review! :-)


Note You need to log in before you can comment on or make changes to this bug.